
%define __os_install_post %{nil}

Name:	freecad
Version:	0.21.0
Release:	%mkrel 1
License:	GPLv3
Group:	Graphics
Summary:	Feature based Parametric Modeler
Url:		https://github.com/FreeCAD/FreeCAD/releases
Source1:    %{name}.desktop
Source2:   %{name}.png
AutoReqProv: no

%description
FreeCAD is a general purpose Open Source 3D CAD/MCAD/CAx/CAE/PLM modeler, aimed
directly at mechanical engineering and product design but also fits a wider
range of uses in engineering, such as architecture or other engineering
specialties. It is a feature-based parametric modeler with a modular software
architecture which makes it easy to provide additional functionality without
modifying the core system.


%prep

%build

%install
pushd %{_sourcedir}
wget -nc https://github.com/FreeCAD/FreeCAD/releases/download/%{version}/FreeCAD_%{version}-Linux-x86_64.AppImage
popd

install -Dm 0755 %{_sourcedir}/FreeCAD_%{version}-Linux-x86_64.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus

%postun
%clean_menus


%changelog
* Sat Aug 05 2023 tex - 0.21.0-1pclos2023
- create pkg
